OpenStack Telemetry (Ceilometer)

ceilometer dependency WebOb>=1.2dev is causing conflict with other Openstack modules

Reported by Yolanda Robla on 2012-12-19
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ceilometer
High
Doug Hellmann
Cinder
Undecided
Doug Hellmann
Glance
Low
Zhongyue Luo
Grizzly
Low
Zhongyue Luo
Keystone
Undecided
Doug Hellmann
OpenStack Compute (nova)
Undecided
Doug Hellmann
neutron
Undecided
Zhongyue Luo
oslo
Undecided
Doug Hellmann
Grizzly
Undecided
Doug Hellmann

Bug Description

Last version of Ceilometer requires WebOb>=1.2dev to run. But nova needs WebOb==1.0.8, so when installing the dependency for Ceilometer in same machine as Nova, it's stopping Nova to work.

Julien Danjou (jdanjou) on 2012-12-20
Changed in ceilometer:
importance: Undecided → Critical
status: New → Confirmed
assignee: nobody → Julien Danjou (jdanjou)

Fix proposed to branch: master
Review: https://review.openstack.org/18477

Changed in ceilometer:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/18477
Committed: http://github.com/openstack/ceilometer/commit/29f5edad8ee6a1949839e946ab60861c141702e5
Submitter: Jenkins
Branch: master

commit 29f5edad8ee6a1949839e946ab60861c141702e5
Author: Julien Danjou <email address hidden>
Date: Thu Dec 20 14:53:57 2012 +0100

    Move back api-v1 to the main api

    API v2 is not finished and should only be optionnal. Move the binary as
    api-v2 and remove the dep on pecan, only use it for tests.

    This also fixes bug #1092227.

    Change-Id: Ifaf0ad3918460bc2107e1563f0539695467a1856
    Signed-off-by: Julien Danjou <email address hidden>

Changed in ceilometer:
status: In Progress → Fix Committed
Doug Hellmann (doug-hellmann) wrote :

I'm re-opening this so I can work on patches to update the versions of WebOb used in the other projects.

Changed in ceilometer:
status: Fix Committed → In Progress
assignee: Julien Danjou (jdanjou) → Doug Hellmann (doug-hellmann)
importance: Critical → High
milestone: none → grizzly-3
Changed in nova:
assignee: nobody → Doug Hellmann (doug-hellmann)
status: New → In Progress
Changed in cinder:
assignee: nobody → Doug Hellmann (doug-hellmann)
status: New → In Progress
Changed in keystone:
assignee: nobody → Doug Hellmann (doug-hellmann)
status: New → In Progress
Changed in oslo:
assignee: nobody → Doug Hellmann (doug-hellmann)
status: New → In Progress
Zhongyue Luo (zyluo) on 2013-01-03
Changed in quantum:
assignee: nobody → Zhongyue Luo (zyluo)

Fix proposed to branch: master
Review: https://review.openstack.org/18893

Changed in quantum:
status: New → In Progress

Reviewed: https://review.openstack.org/18893
Committed: http://github.com/openstack/quantum/commit/30a54fe169485fdd0dbf1b7f011f9b2d4d9c8355
Submitter: Jenkins
Branch: master

commit 30a54fe169485fdd0dbf1b7f011f9b2d4d9c8355
Author: Zhongyue Luo <email address hidden>
Date: Fri Jan 4 00:28:20 2013 +0800

    Upgrade WebOb to 1.2.3

    The version of WebOb being used in OpenStack was more than
    1 year old. This change updates to the latest stable release.

    Upgrading WebOb resolves a version conflict between OpenStack
    and Pecan, the web framework used by the Ceilometer team for
    version 2 of the ceilometer API.

    Refer to http://docs.webob.org/en/latest/news.html
    for the list of changes between 1.0.8 and 1.2.3.

    Fixes Bug #1092227

    Change-Id: I07707607ae2067a567e11c347cddda9c7e6bcef7

Changed in quantum:
status: In Progress → Fix Committed

Fix proposed to branch: master
Review: https://review.openstack.org/19025

Changed in glance:
assignee: nobody → Zhongyue Luo (zyluo)
status: New → In Progress

Reviewed: https://review.openstack.org/18887
Committed: http://github.com/openstack/keystone/commit/64672bdeb13097285af8dec16b6cacbef4495bab
Submitter: Jenkins
Branch: master

commit 64672bdeb13097285af8dec16b6cacbef4495bab
Author: Doug Hellmann <email address hidden>
Date: Thu Jan 3 11:08:15 2013 -0500

    Upgrade WebOb to 1.2.3

    The version of WebOb being used in OpenStack was more than
    1 year old. This change updates to the latest stable release.

    Upgrading WebOb resolves a version conflict between OpenStack
    and Pecan, the web framework used by the Ceilometer team for
    version 2 of the ceilometer API.

    Refer to http://docs.webob.org/en/latest/news.html
    for the list of changes between 1.0.8 and 1.2.3.

    bug 1092227

    Change-Id: If68866122e6c492b03887af5953ab7cad01787ba
    Signed-off-by: Doug Hellmann <email address hidden>

Changed in keystone:
status: In Progress → Fix Committed
Zhongyue Luo (zyluo) on 2013-01-07
Changed in glance:
status: In Progress → New

Reviewed: https://review.openstack.org/19138
Committed: http://github.com/openstack/quantum/commit/005251c3b88606013bc9526c0ef32b01e52b08c9
Submitter: Jenkins
Branch: master

commit 005251c3b88606013bc9526c0ef32b01e52b08c9
Author: Dan Wendlandt <email address hidden>
Date: Mon Jan 7 12:17:09 2013 -0800

    Undo change to require WebOb 1.2.3, instead, require only >=1.0.8

    This allows ceilometer to use 1.2.3, without breaking devstack for
    quantum in the mean time.

    See bug #1092227

    Change-Id: I1d1b4c0b6dbb917ddf785bdf7ce90be9beb6540c

Thierry Carrez (ttx) on 2013-01-09
Changed in keystone:
milestone: none → grizzly-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-01-09
Changed in quantum:
milestone: none → grizzly-2
status: Fix Committed → Fix Released
Brian Waldon (bcwaldon) on 2013-01-09
Changed in glance:
status: New → In Progress
importance: Undecided → Low
milestone: none → grizzly-3

Reviewed: https://review.openstack.org/18885
Committed: http://github.com/openstack/oslo-incubator/commit/8036a106ef7654dd47d7db03342e149e66c7e140
Submitter: Jenkins
Branch: master

commit 8036a106ef7654dd47d7db03342e149e66c7e140
Author: Doug Hellmann <email address hidden>
Date: Thu Jan 3 11:00:07 2013 -0500

    Upgrade WebOb to 1.2.3

    The version of WebOb being used in OpenStack was more than
    1 year old. This change updates to the latest stable release.

    Upgrading WebOb resolves a version conflict between OpenStack
    and Pecan, the web framework used by the Ceilometer team for
    version 2 of the ceilometer API.

    Refer to http://docs.webob.org/en/latest/news.html
    for the list of changes between 1.0.8 and 1.2.3.

    bug 1092227

    Change-Id: I2c8e95ecc3b69b40fd9f8d2f801e75c17b07ed59
    Signed-off-by: Doug Hellmann <email address hidden>

Changed in oslo:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/18886
Committed: http://github.com/openstack/nova/commit/4ff4edd600a0680ef6255ff7679f03ef96bc370f
Submitter: Jenkins
Branch: master

commit 4ff4edd600a0680ef6255ff7679f03ef96bc370f
Author: Doug Hellmann <email address hidden>
Date: Thu Jan 3 11:06:35 2013 -0500

    Upgrade WebOb to 1.2.3

    The version of WebOb being used in OpenStack was more than
    1 year old. This change updates to the latest stable release.

    Upgrading WebOb resolves a version conflict between OpenStack
    and Pecan, the web framework used by the Ceilometer team for
    version 2 of the ceilometer API.

    Refer to http://docs.webob.org/en/latest/news.html
    for the list of changes between 1.0.8 and 1.2.3.

    bug 1092227

    Change-Id: Ib5a005665a5b11198006ce2aa2432399a41fc3d9
    Signed-off-by: Doug Hellmann <email address hidden>

Changed in nova:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/18888
Committed: http://github.com/openstack/cinder/commit/bf46a11fa375b564ac6cf1144ffecfde258db775
Submitter: Jenkins
Branch: master

commit bf46a11fa375b564ac6cf1144ffecfde258db775
Author: Doug Hellmann <email address hidden>
Date: Thu Jan 3 11:09:36 2013 -0500

    Upgrade WebOb to 1.2.3

    The version of WebOb being used in OpenStack was more than
    1 year old. This change updates to the latest stable release.

    Upgrading WebOb resolves a version conflict between OpenStack
    and Pecan, the web framework used by the Ceilometer team for
    version 2 of the ceilometer API.

    Refer to http://docs.webob.org/en/latest/news.html
    for the list of changes between 1.0.8 and 1.2.3.

    bug 1092227

    Change-Id: I44fdd11acbf1d5245e0c9c5a6199fd53200928ed
    Signed-off-by: Doug Hellmann <email address hidden>

Changed in cinder:
status: In Progress → Fix Committed
Doug Hellmann (doug-hellmann) wrote :

The glance change went in under https://review.openstack.org/18038 which didn't refer to this bug.

Changed in glance:
status: In Progress → Fix Committed
Changed in ceilometer:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/19852
Committed: http://github.com/openstack/quantum/commit/cb3384fd673295ad83c3dbfad0de6e325827e4ae
Submitter: Jenkins
Branch: master

commit cb3384fd673295ad83c3dbfad0de6e325827e4ae
Author: Doug Hellmann <email address hidden>
Date: Wed Jan 16 15:56:40 2013 -0500

    Update WebOb version to >=1.2

    The other projects have merged changes to accept
    WebOb>=1.2 now, so update Quantum to use the same
    version.

    See bug #1092227 for details.

    Change-Id: I0969752910b92209408d956f633ad2ccacc7fa46
    Signed-off-by: Doug Hellmann <email address hidden>

Reviewed: https://review.openstack.org/19857
Committed: http://github.com/openstack/ceilometer/commit/1f4f17e11f61d7f9852cc43ad6e7aa65085a334d
Submitter: Jenkins
Branch: master

commit 1f4f17e11f61d7f9852cc43ad6e7aa65085a334d
Author: Doug Hellmann <email address hidden>
Date: Wed Jan 16 16:31:05 2013 -0500

    Update WebOb version specification

    Now that the other projects are using WebOb>=1.2 we can
    specify that, too.

    See bug #1092227 for details.

    Change-Id: Ifcb99354f405d9f4dc113d01d83b2a9d76660fc5
    Signed-off-by: Doug Hellmann <email address hidden>

Thierry Carrez (ttx) on 2013-02-21
Changed in glance:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-02-21
Changed in nova:
milestone: none → grizzly-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-02-21
Changed in cinder:
milestone: none → grizzly-3
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-02-21
Changed in oslo:
milestone: none → grizzly-3
status: Fix Committed → Fix Released
Changed in ceilometer:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-04-04
Changed in keystone:
milestone: grizzly-2 → 2013.1
Thierry Carrez (ttx) on 2013-04-04
Changed in quantum:
milestone: grizzly-2 → 2013.1
Thierry Carrez (ttx) on 2013-04-04
Changed in nova:
milestone: grizzly-3 → 2013.1
Thierry Carrez (ttx) on 2013-04-04
Changed in cinder:
milestone: grizzly-3 → 2013.1
Thierry Carrez (ttx) on 2013-04-04
Changed in ceilometer:
milestone: grizzly-3 → 2013.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers